package com.changhong.login.location;

import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.boot.autoconfigure.jdbc.DataSourceAutoConfiguration;
import org.springframework.boot.builder.SpringApplicationBuilder;
import org.springframework.stereotype.Controller;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestParam;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import java.io.IOException;
import java.net.URLEncoder;
import java.util.Collection;
import java.util.Collections;
import java.util.HashMap;
import java.util.Map;

/**
 * @description:
 * @author: WangYX
 * @create: 2019-08-05 09:46
 **/
@Controller
@SpringBootApplication(exclude = DataSourceAutoConfiguration.class)
public class Application {

    /**
     * 配置转发
     * @param param
     * @param url
     * @param httpServletResponse
     * @throws IOException
     */
    @RequestMapping({"/total-login"})
    public void login(
            @RequestParam(required = false, name = "KI4SO_CLIENT_EC") String param
            , @RequestParam(required = false, name = "url") String url
            , HttpServletResponse httpServletResponse) throws IOException {
        if (param != null)
            httpServletResponse.sendRedirect(
                    new StringBuilder()
                            .append(url)
                            .append(url.indexOf(63) >= 0 ? "&" : "?")
                            .append("KI4SO_CLIENT_EC=")
                            .append(URLEncoder.encode(param, "utf-8"))
                            .toString()
            );
        else
            httpServletResponse.sendRedirect(url);
    }

    public static void main(String[] args) {
        new SpringApplicationBuilder(new Object[] { Application.class }).run(args);
    }
}
